import request from '@/utils/request'

//获取GeoJson数据
export function getDroneGeoJson(params) {
    return request({
      url: '/DroneCaseinfo/GetDroneGeoJson',
      method: 'get',
      params
    })
}

//查询违建图层详情
export function loadIllegalBuildeLayerData(params){
    return request({
        url:'/DroneCaseinfo/LoadIllegalBuildeLayerData',
        method:'get',
        params
    })
}

//删除违建图层详情
export function DeleteDroneLayers(params){
    return request({
        url:'/DroneCaseinfo/DeleteDroneLayers',
        method:'get',
        params
    })
}

//编辑违建图层
export function updateIllegalBuildeLayer(data) {
    return request({
        url: '/DroneCaseinfo/UpdateIllegalBuildeLayer',
        method: 'post',
        data
    })
}

//添加违建图层
export function addIllegalBuildeLayer(data){
    return request({
        url:'/DroneCaseinfo/addIllegalBuildeLayer',
        method:'post',
        data
    })
}

//查询案件列表
export function loadCaseInfoList(params){
    return request({
        url:'/DroneCaseinfo/LoadCaseInfoList',
        method:'get',
        params
    })
}

//查询违法图层数据
export function loadAllDroneGeoJson(params){
    return request({
        url:'/DroneCaseinfo/LoadAllDroneGeoJson',
        method:'get',
        params
    })
}

  